org.apache.maven.project.interpolation

## Class BuildTimestampValueSource

- java.lang.Object
- - AbstractValueSource
  - - org.apache.maven.project.interpolation.BuildTimestampValueSource

-     public class BuildTimestampValueSource
      extends AbstractValueSource

  Version:
    $Id: BuildTimestampValueSource.java 708543 2008-10-28 11:54:17Z bentmann $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildTimestampValueSource(java.util.Date startTime, java.lang.String format)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getValue(java.lang.String expression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildTimestampValueSource

          public BuildTimestampValueSource(java.util.Date startTime,
                                   java.lang.String format)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue(java.lang.String expression)